Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.wrappers
Class GroovyObjectWrapper

author:
  John Wilson

Field Summary
`GroovyObject` | `wrapped`

Constructor Summary
`GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)`

Method Summary
`MetaClass` | `getDelegatedMetaClass()`
`Object` | `getProperty(String property)` Note the rest of these method will only be used post 1.0
`Object` | `getWrapped()`
`Object` | `invokeMethod(String name, Object args)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`Object` | `unwrap()`

Constructor Detail

### GroovyObjectWrapper

    public GroovyObjectWrapper(GroovyObject wrapped, Class constrainedType)

Method Detail

### getDelegatedMetaClass

    MetaClass getDelegatedMetaClass()

### getProperty

    public Object getProperty(String property)

  Note the rest of these method will only be used post 1.0

### getWrapped

    Object getWrapped()

### invokeMethod

    public Object invokeMethod(String name, Object args)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### unwrap

    public Object unwrap()